Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.datatype
Interface DataTypeJSPInPlaceEditor

All Superinterfaces:
  DataTypeEditor

    public interface DataTypeJSPInPlaceEditor

extends DataTypeEditor

Represents an editable form field capable of editing a value for a custom data type. The implementation of this interface must use NetUI DataSource aware tags to allow it to store its value back into the host object that defines the property.

Method Summary
`void` | `render(PageContext pageContext, Tag parent)` Render the content for this in-place editor into the HTML stream for the page hosting the editor.
`void` | `setDataSource(String dataSource)` Indicate the NetUI DataSource that should be used to store the edited value back into the object that defines it.
`void` | `setValue(DataTypeInPlaceEditableValue value)` Set the value upon which this editor will work.

Methods inherited from interface com.bea.wli.datatype.DataTypeEditor
`setReadOnly, setValueSummary`

Method Detail

### setValue

    void setValue(DataTypeInPlaceEditableValue value)
                  throws DataTypeException

  Set the value upon which this editor will work. This method allows the editor to reuse a value that has already been obtained using the DataSource property. If this method is not called, the editor will call underlying NetUI utilities to resolve DataSource to the value when render() is called.

  Parameters:
    `value` -
  Throws:
    `DataTypeException`

### setDataSource

    void setDataSource(String dataSource)
                       throws DataTypeException

  Indicate the NetUI DataSource that should be used to store the edited value back into the object that defines it. If setValue) is not called, the editor will call underlying NetUI utilities to resolve DataSource to the value when render() is called.

  Parameters:
    `dataSource` -
  Throws:
    `DataTypeException`

### render

    void render(PageContext pageContext,
                Tag parent)
                throws JspException,
                       DataTypeException,
                       IOException

  Render the content for this in-place editor into the HTML stream for the page hosting the editor. Either setValue() or setDataSource() must be called before calling this method.

  Parameters:
    `pageContext` - JSP page context for the host page
    `parent` - Parent tag that contains the editor
  Throws:
    `JspException`
    `DataTypeException`
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD